Bug 1312082 - (CVE-2016-2114) CVE-2016-2114 samba: Samba based active directory domain controller does not enforce smb signing
CVE-2016-2114 samba: Samba based active directory domain controller does not ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160412,repor...
: Security
Depends On: 1322688 1322689 1322690 1322691 1322692 1324807 1325382 1325383 1325384 1325385 1325645 1325649 1325650 1325651 1326453
Blocks: 1311915
  Show dependency treegraph
 
Reported: 2016-02-25 12:03 EST by Adam Mariš
Modified: 2016-04-19 01:28 EDT (History)
15 users (show)

See Also:
Fixed In Version: samba 4.4.1, samba 4.3.7, samba 4.2.10
Doc Type: Bug Fix
Doc Text:
It was discovered that Samba did not enforce Server Message Block (SMB) signing for clients using the SMB1 protocol. A man-in-the-middle attacker could use this flaw to modify traffic between a client and a server.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 01:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-25 12:03:52 EST
It was found that Samba based active directory domain controller does not enforce smb signing and opens possibility for man-in-the-middle attacks.

When Samba is configured as a Domain Controller, the default for the "server signing" should be "mandatory". During the early development of Samba 4 a new experimental file server located under source4/smb_server was used. But before the final 4.0.0 release upstream switched back to the file server under source3/smbd. But the logic for the correct default of "server signing" was not ported.

Currently all Samba versions >= 4.0.0 are affected.

Upstream bug:

https://bugzilla.samba.org/show_bug.cgi?id=11687
Comment 5 Huzaifa S. Sidhpurwala 2016-04-11 01:39:30 EDT
Acknowledgements:

Name: the Samba project
Upstream: Stefan Metzmacher (SerNet)
Comment 6 Huzaifa S. Sidhpurwala 2016-04-11 01:45:19 EDT
External Reference:

https://access.redhat.com/articles/2243351
Comment 7 Huzaifa S. Sidhpurwala 2016-04-12 13:11:57 EDT
Public via:

https://www.samba.org/samba/security/CVE-2016-2114.html
Comment 8 Siddharth Sharma 2016-04-12 13:28:43 EDT
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1326453]
Comment 9 errata-xmlrpc 2016-04-12 17:24:52 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support

Via RHSA-2016:0620 https://rhn.redhat.com/errata/RHSA-2016-0620.html
Comment 10 errata-xmlrpc 2016-04-12 17:39:57 EDT
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7
  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0614 https://rhn.redhat.com/errata/RHSA-2016-0614.html
Comment 11 errata-xmlrpc 2016-04-12 21:07:36 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0612 https://rhn.redhat.com/errata/RHSA-2016-0612.html
Comment 12 errata-xmlrpc 2016-04-12 21:27:32 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support

Via RHSA-2016:0618 https://rhn.redhat.com/errata/RHSA-2016-0618.html
Comment 13 Fedora Update System 2016-04-13 16:21:41 EDT
samba-4.3.8-0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-04-14 00:21:25 EDT
samba-4.2.11-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-04-14 23:17:11 EDT
samba-4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.